WordPress.org

Plugin Reviews

Jetpack Lite

Completely removes all Jetpack modules except for Stats and WP.me Shortlinks modules. Jetpack is required!

12 reviews
Average Rating
2.5 out of 5 stars
PLEEZE issue a ver for WP 4.1!
By , for WP 4.0

"What were they thinking?"

I'm building a related site with WP 4.1, and I really miss it! I had to delete the "Whole Enchilada" JetPack plug-in: Even when I enabled only certain features (most important, the stats overview), it bloated the HTML code with disabled ones and dramatically slowed down performance.

Many thanks for your hard work on a superior plug-in, Anna

Works but pointless.
By , for WP 3.9

Slim Jetpack is way better. This just removes all the good modules in Jetpack by WordPress, and you still need to have Jetpack by WordPress installed.

No longer what I want
By , for WP 3.8

Had I wanted Jetpak I would have used it. In order to use Jetpak Lite you now need to install Jetpak - while I appreciate the plugin the way it was the current format is not what I want.

Loved it, then it became pointless
By , for WP 3.8

I have really liked this plugin in, because Jetpack created issues on my blog, but I wanted the stats. It worked great, but the latest version requires installing the full Jetpack plugin, so what's the point?

Broke my site
By , for WP 3.8

This is ridiculous. I also had an issue with the upgrade completely killing my site, and now "Jetpack Lite" requires the full Jetpack plugin to be running - which the whole point of the plugin was to not have to have the full Jetpack installed.

1 strike and you're out. Uninstall Jetpack Lite before it breaks your site, you can enable only Stats in the full Jetpack without having this guy's buggy code (and bad attitude) do it for you.

Really, you run a raw "if ( ! is_plugin_active( 'jetpack/jetpack.php' ) )" and completely break a site if they didn't have Jetpack installed? (This was the code before the 3.0.1 update), and have the nerve to post "Your WordPress installation is your responsability not mine (SIC)" before the above code is found out? That's ridiculous.

Version 3.0.2 does just like it says.
By , for WP 3.8

First I do want to give a heads-up on one thing. If you are using a version prior to 3.0, this plug-in needs to be updated to version 3.0.2 before activating Jetpack. If you don't, Jetpack (v2.7 at the time) may fail to activate (it did for me with a fatal error) because it was trying to execute some Jetpack Lite code instead and was trying to include a file which didn't exist.

Anyway, after I updated Jetpack-Lite to 3.0.2, I was able to then activate Jetpack without any problems. The only visible modules in the Jetpack screen are the Stats and WP.ME modules and my blog's performance is the same as before.

3.0 destroyed this plugin.
By , for WP 3.8

Well I am glad I read the changelog before upgrading, since this plugin is now useless in that it requires me to install regular Jetpack to make it work. What is the point of that?

Might as well just use Jetpack, NOT use this plugin and disable all the bloatware manually.

Good job on ruining a good thing.

New version 3.0.1 solved problem
By , for WP 3.8

New version update 3.0.1 solved the problem of crashing website.

(New version 3.0.0 crashes website. Had to remove it with Filezilla. Hope the author can fix it and takes the crash problems serious.)

New version crashes website
By ,

New version crashes website.

Plugin killed website
By , for WP 3.8

Do NOT update to the new version! It is crashing everyone's website!!

You must log in to submit a review. You can also log in or register using the form near the top of this page.